Webhooks
Send test payload
Sends a test webhook delivery to the configured URL. The payload is signed with the webhook's secret
using HMAC-SHA256 (sent via X-Webhook-Signature header). The X-Webhook-Event header is set to test.
Uses the webhook's configured timeoutMs for the request timeout.
curl -X POST "https://api.sendkit.ai/v1/webhooks/example_string/test" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.sendkit.ai/v1/webhooks/example_string/test"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/webhooks/example_string/test", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.sendkit.ai/v1/webhooks/example_string/test", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/webhooks/example_string/test')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"statusCode": 200,
"delivered": true
}
}
{
"success": true,
"data": {
"statusCode": 500,
"delivered": false
}
}
{
"success": true,
"data": {
"statusCode": null,
"delivered": false,
"error": "The operation was aborted due to timeout"
}
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
POST
/v1/webhooks/{id}/testPOST
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
path
idstring
RequiredResource ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
header
Authorizationstring
RequiredBearer token. API key as Bearer token
Path Parameters
idstring
RequiredResource ID
Responses
successboolean
dataobject
Was this page helpful?
Last updated today
Built with Documentation.AI